package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Administrator on 2016/8/26.
 */
public class TestZkdInfo implements Parcelable {



    private String zy;
    private String bz;
    private String xm;
    private String gx;
    private String kzfl;
    private String gh;
    private String biaoz;
    private String beiz;
    private List<QdjuInfo> qdjl;

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public String getXm() {
        return xm;
    }

    public void setXm(String xm) {
        this.xm = xm;
    }

    public String getGx() {
        return gx;
    }

    public void setGx(String gx) {
        this.gx = gx;
    }

    public String getKzfl() {
        return kzfl;
    }

    public void setKzfl(String kzfl) {
        this.kzfl = kzfl;
    }

    public String getGh() {
        return gh;
    }

    public void setGh(String gh) {
        this.gh = gh;
    }

    public String getBiaoz() {
        return biaoz;
    }

    public void setBiaoz(String biaoz) {
        this.biaoz = biaoz;
    }

    public String getBeiz() {
        return beiz;
    }

    public void setBeiz(String beiz) {
        this.beiz = beiz;
    }

    public List<QdjuInfo> getQdjl() {
        return qdjl;
    }

    public void setQdjl(List<QdjuInfo> qdjl) {
        this.qdjl = qdjl;
    }

    public TestZkdInfo(String zy, String bz, String xm, String gx, String kzfl, String gh, String biaoz, String beiz, List<QdjuInfo> qdjl) {
        this.zy = zy;
        this.bz = bz;
        this.xm = xm;
        this.gx = gx;
        this.kzfl = kzfl;
        this.gh = gh;
        this.biaoz = biaoz;
        this.beiz = beiz;
        this.qdjl = qdjl;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.zy);
        dest.writeString(this.bz);
        dest.writeString(this.xm);
        dest.writeString(this.kzfl);
        dest.writeString(this.gx);
        dest.writeString(this.gh);
        dest.writeString(this.biaoz);
        dest.writeString(this.beiz);
        dest.writeList(this.qdjl);
    }

    protected TestZkdInfo(Parcel in) {
        this.zy = in.readString();
        this.bz = in.readString();
        this.xm = in.readString();
        this.kzfl = in.readString();
        this.gx = in.readString();
        this.gh = in.readString();
        this.biaoz = in.readString();
        this.beiz = in.readString();
        this.qdjl = new ArrayList<QdjuInfo>();
        in.readList(this.qdjl, QdjuInfo.class.getClassLoader());
    }

    public static final Parcelable.Creator<TestZkdInfo> CREATOR = new Parcelable.Creator<TestZkdInfo>() {
        @Override
        public TestZkdInfo createFromParcel(Parcel source) {
            return new TestZkdInfo(source);
        }

        @Override
        public TestZkdInfo[] newArray(int size) {
            return new TestZkdInfo[size];
        }
    };
}
